<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record model="ir.ui.view" id="sale_order_form_view">
        <field name="name">sale.form.view</field>
        <field name="model">sale.order</field>
        <field name="inherit_id" ref="sale.view_order_form"/>
        <field name="arch" type="xml">
            <field name="pricelist_id" position="after">
                <field name="pos_name" readonly="1"/>
            </field>
        </field>
    </record>
    <record id="sale_order_search_view" model="ir.ui.view">
        <field name="name">sale.order.search.view</field>
        <field name="model">sale.order</field>
        <field name="inherit_id" ref="sale.sale_order_view_search_inherit_quotation"/>
        <field name="arch" type="xml">
            <search>
                <group expand="0" string="Group By...">
                    <filter name="group_by_pos_name" string="POS name" domain="[]" context="{'group_by':'pos_name'}"/>
                </group>
            </search>
        </field>
    </record>
</odoo>
